FASTA2FRAG(1)

NAME
fasta2frag - splits a single fasta sequence into several overlapping fragments.

DESCRIPTION
This program is part of the MIRA assembler package. The purpose of fasta2frag is to fragment sequences into smaller, overlapping subsequences. It can be used for simulating shotgun sequences. It can create subsequences in both directions (/default) and also paired-end sequences. Please check out the documentation below for more detailed information about fasta2frag.

SYNOPSIS
fasta2frag <options> infile outfile

OPTIONS
-l int Length of fragments (default=3000)

-i  int Increment of fragment start site (default=2500)

-p  int Paired end (default=0 is off, 1 is on)

-P  int In paired-end mode, reverse one of the reads (0 is off, default=1 is on)

-s  int Strobe sequencing (default=0 is off, 1 is on)

-q  int Default quality when no quality data present (default=30)

-r  int Reverse every nth fragment (default=2)

-c  int Circularise fragments so that they form a ring

    (default=0 is is off, 1 would be on)

-qualdivisor
    int Divide quality values by this (default=1)

-minqual
    int But give it at least this qual (default=0)

-insert_size
    int paired-end: insert size (default=3000)

-insert_stdev int
    paired-end: standard dev (default=900) this is not working at the moment

-pairednaming string
    naming scheme for paired-end: sanger, 454 (default) or solexa

-minmut
    int min. number of mutations/seq. errors (def=0)

-maxmut
    int max. number of mutations/seq. errors (def=0)

-strobeon
    int number of bases read during strobe on

-strobeoff
    int number of bases during strobe off

-startoffset
    int start at offset position

-namesuffix
    string suffix name with string

SEE ALSO
A more extensive documentation is provided in the mira-doc package and can be found at /usr/share/doc/mira-assembler/DefinitiveGuideToMIRA.html.

You can also subscribe one of the MIRA mailing lists at

    http://www.chevreux.org/mira_mailinglists.html

After subscribing, mail general questions to the MIRA talk mailing list:

    mira_talk@freelists.org

BUGS
To report bugs or ask for features, please use the new ticketing system at:

    http://sourceforge.net/apps/trac/mira-assembler/

AUTHOR
The author of the mira code is Bastien Chevreux <bach@chevreux.org>

This manual page was written by Andreas Tille <tille@debian.org> but can be freely used for any other distribution.